Package: nodm
Version: 0.13-1.2
Severity: normal
Tags: patch pending
Dear maintainers,
I've prepared an NMU for nodm (versioned as 0.13-1.3) and
uploaded it to DELAYED/7. Please feel free to tell me if I
should delay it longer.
Regards,
S
diffstat for nodm-0.13 nodm-0.13
changelog | 16 +++++
nodm.init | 5 -
nodm.postinst | 2
patches/nodm.service-Don-t-respawn-or-fail-if-disabled-in-et.patch | 28 ++++++++++
patches/series | 1
5 files changed, 48 insertions(+), 4 deletions(-)
diff -Nru nodm-0.13/debian/changelog nodm-0.13/debian/changelog
--- nodm-0.13/debian/changelog 2017-05-02 21:57:24.000000000 +0100
+++ nodm-0.13/debian/changelog 2017-05-08 22:40:40.000000000 +0100
@@ -1,3 +1,19 @@
+nodm (0.13-1.3) unstable; urgency=medium
+
+ * Non-maintainer upload
+ * d/p/nodm.service-Don-t-respawn-or-fail-if-disabled-in-et.patch:
+ Don't mark nodm as failed, or restart it, if it was disabled via
+ /etc/default/nodm. Thanks to Ansgar Burchardt for suggesting
+ the solution used here. (Closes: #861771)
+ * d/nodm.postinst: Write a message to stderr, not stdout.
+ Writing to stdout could be misinterpreted by debconf.
+ Thanks to Ilias Tsitsimpis. (Closes: #861899)
+ * d/nodm.init: Don't require xinit. nodm no longer uses the NODM_XINIT
+ variable, except for the obsolete check in this script.
+ (Closes: #861717 and maybe #770219)
+
+ -- Simon McVittie <[email protected]> Mon, 08 May 2017 22:40:40 +0100
+
nodm (0.13-1.2) unstable; urgency=medium
* Non-maintainer upload
diff -Nru nodm-0.13/debian/nodm.init nodm-0.13/debian/nodm.init
--- nodm-0.13/debian/nodm.init 2017-05-02 21:57:24.000000000 +0100
+++ nodm-0.13/debian/nodm.init 2017-05-08 22:40:40.000000000 +0100
@@ -20,7 +20,6 @@
PIDFILE=${PIDDIR}/${NAME}.pid
NODM_ENABLED=no
-NODM_XINIT=/usr/bin/xinit
NODM_FIRST_VT=7
NODM_XSESSION=/etc/X11/Xsession
NODM_OPTIONS=
@@ -34,13 +33,13 @@
. /etc/default/$NAME
fi
-export NODM_XINIT NODM_XSESSION NODM_X_OPTIONS NODM_USER NODM_MIN_SESSION_TIME NODM_FIRST_VT NODM_X_TIMEOUT
+export NODM_XSESSION NODM_X_OPTIONS NODM_USER NODM_MIN_SESSION_TIME NODM_FIRST_VT NODM_X_TIMEOUT
# If you change the user to a non-root user, make sure you
# set allowed_users=anybody in /etc/X11/Xwrapper.config
# Gracefully exit if the package or its dependencies have been removed (but not purged).
-[ -x /usr/sbin/nodm -a -x "$NODM_XSESSION" -a -x "$NODM_XINIT" ] || exit 0
+[ -x /usr/sbin/nodm -a -x "$NODM_XSESSION" ] || exit 0
# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh
diff -Nru nodm-0.13/debian/nodm.postinst nodm-0.13/debian/nodm.postinst
--- nodm-0.13/debian/nodm.postinst 2017-05-02 21:57:24.000000000 +0100
+++ nodm-0.13/debian/nodm.postinst 2017-05-08 22:40:40.000000000 +0100
@@ -18,7 +18,7 @@
RET="$THIS_PACKAGE"
fi
if [ "$THIS_PACKAGE" != "$RET" ]; then
- echo "Please be sure to run \"dpkg --configure $RET\"."
+ echo "Please be sure to run \"dpkg --configure $RET\"." >&2
fi
if db_get "$RET"/daemon_name; then
echo "$RET" > $DEFAULT_DISPLAY_MANAGER_FILE
diff -Nru nodm-0.13/debian/patches/nodm.service-Don-t-respawn-or-fail-if-disabled-in-et.patch nodm-0.13/debian/patches/nodm.service-Don-t-respawn-or-fail-if-disabled-in-et.patch
--- nodm-0.13/debian/patches/nodm.service-Don-t-respawn-or-fail-if-disabled-in-et.patch 1970-01-01 01:00:00.000000000 +0100
+++ nodm-0.13/debian/patches/nodm.service-Don-t-respawn-or-fail-if-disabled-in-et.patch 2017-05-08 22:40:40.000000000 +0100
@@ -0,0 +1,28 @@
+From: Simon McVittie <[email protected]>
+Date: Mon, 8 May 2017 17:01:40 +0100
+Subject: nodm.service: Don't respawn or fail if disabled in
+ /etc/default
+
+Bug-Debian: https://bugs.debian.org/861771
+---
+ nodm.service.in | 7 +++++--
+ 1 file changed, 5 insertions(+), 2 deletions(-)
+
+diff --git a/nodm.service.in b/nodm.service.in
+index 0b7e95b..b53fef8 100644
+--- a/nodm.service.in
++++ b/nodm.service.in
+@@ -5,8 +5,11 @@ After=plymouth-quit.service systemd-user-sessions.service
+
+ [Service]
+ EnvironmentFile=-/etc/default/nodm
+-ExecStartPre=/usr/bin/test ${NODM_ENABLED} != no -a ${NODM_ENABLED} != false
+-ExecStart=@sbindir@/nodm $NODM_OPTIONS
++# 77 is EX_NOPERM, and doesn't seem to be used by nodm itself
++# Don't respawn or mark as failed if disabled via /etc/default/nodm
++RestartPreventExitStatus=77
++SuccessExitStatus=77
++ExecStart=/bin/sh -c 'if test ${NODM_ENABLED} = no || test ${NODM_ENABLED} = false; then exit 77; else exec @sbindir@/nodm $NODM_OPTIONS; fi'
+ Restart=always
+ KillMode=mixed
+ TimeoutStopSec=10
diff -Nru nodm-0.13/debian/patches/series nodm-0.13/debian/patches/series
--- nodm-0.13/debian/patches/series 2017-05-02 21:57:24.000000000 +0100
+++ nodm-0.13/debian/patches/series 2017-05-08 22:40:40.000000000 +0100
@@ -1,2 +1,3 @@
nodm.service-Ask-Plymouth-to-stop-before-starting-no.patch
nodm.service-Use-KillMode-mixed-with-10-second-timeo.patch
+nodm.service-Don-t-respawn-or-fail-if-disabled-in-et.patch